### org.jfree.layouting.input.style.parser.stylehandler.content

# Class QuotesReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.ListOfPairReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.content.QuotesReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

`public class QuotesReadHandler`
`extends ListOfPairReadHandler`

Creation-Date: 01.12.2005, 17:57:39

Author:
  Thomas Morgner

  ## Constructor Summary

  `QuotesReadHandler()`

  ## Method Summary

  `CSSValue`

  `createValue(StyleKey name, LexicalUnit value)`

  `protected CSSValue`

  `parseFirstPosition(LexicalUnit value)`

  `protected CSSValue`

  `parseSecondPosition(LexicalUnit value, CSSValue first)`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.ListOfPairReadHandler

  `addToResultList`, `createValue`, `parseFirstPosition`, `parseSecondPosition`

## Constructor Details

### QuotesReadHandler

    public QuotesReadHandler()

## Method Details

### createValue

    public CSSValue createValue(StyleKey name,
                                LexicalUnit value)

> Specified by:
>   createValue in interface CSSValueReadHandler
> Overrides:
>   createValue in interface ListOfPairReadHandler

### parseFirstPosition

    protected CSSValue parseFirstPosition(LexicalUnit value)

> Overrides:
>   parseFirstPosition in interface ListOfPairReadHandler

### parseSecondPosition

    protected CSSValue parseSecondPosition(LexicalUnit value,
                                           CSSValue first)

> Overrides:
>   parseSecondPosition in interface ListOfPairReadHandler